Subject: bug#20070: 24.3; have commands such as downcase-region act on a rectangle region

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Mar 2015 09:19:12 -0400

>> One way to handle it generically, is to change call-interactively such
>> that when the argument is "r", the command is called once for each
>> "extent".  Obviously, this won't work correctly for all cases, tho.
> Also this won't work for commands that use region-beginning/region-end
> in the interactive spec (like query-replace for bug#13178/bug#19829).

Of course, I don't think we can handle those commands without
manual changes.

> If the command used region-beginning and region-end, this means
> changing them to e.g. plural region-beginnings and region-ends.

Here again, I'd rather use a list of pairs than a pair of lists, so we
wouldn't want to have 2 functions (one to get the list of beginnings
and another to get the list of ends).

        Stefan